varying vec2 texCoord;
uniform sampler2D colorMap;
uniform sampler2D colorMap2;
uniform float xc;

void main(void){
    float xa=xc/1920.0f;
    vec4 col1 = texture2D(colorMap,texCoord).xyzw;   //new
    vec4 col2 = texture2D(colorMap2, texCoord).xyzw; //old

    //if (texCoord.x>.5) gl_FragColor = col2; else gl_FragColor = vec4(1.0f,1.0f,1.0f,1.0f);
    //if (texCoord.x>xa) gl_FragColor = col2; else gl_FragColor = col1;
    if (texCoord.x>xa) gl_FragColor = col2; else gl_FragColor = col1;

}
